com.microfocus.awm.model.internal

## Class ErrorFeedbackEntry

- java.lang.Object
- - com.microfocus.awm.model.internal.ErrorFeedbackEntry

- All Implemented Interfaces:
    IErrorFeedbackEntry

      public class ErrorFeedbackEntry
      extends java.lang.Object
      implements IErrorFeedbackEntry

  Represents a compiler message including following information:

  - id of the message,
  - content of the message,
  - return code of the message,
  - corresponding line on the file which generate the message,
  - name of the file(full location) which generate the message,
  - date where the entry has been created,
  - resource(IElement) with which the compilation has been call.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorFeedbackEntry()` Basic constructor.
    `ErrorFeedbackEntry(java.lang.String pFileName, java.lang.String pMsgText, java.lang.String pMsgNUMBER, java.lang.String pMsgLine, IElement pElement, java.util.Map<java.lang.String,java.lang.String> pCustomFileAttributes, java.util.Map<java.lang.String,java.lang.String> pCustomMessageAttributes)` the constructor that receive the error file parameters and the resource (IElement) with which the compiler has been call

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomFileAttributes()` Gets a map of custom attributes which are defined on message level.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomMessageAttributes()` Gets a map of custom attributes which are defined on message level.
    `java.util.List<java.lang.Object>` | `getEntry()` Gets the list of values of this feedback entry.
    `java.lang.String` | `getEntryDate()` get the date where the entry are been created
    `java.lang.String` | `getEntryID()` Gets the ID of the error feedback entry.
    `java.lang.String` | `getFormatedDate()` get the formated date (JJ:MM:TT:HH:MM:SS) where the entry has been created
    `java.lang.String` | `getHostResource()` get the name of the file(DSN) which generate the message
    `org.eclipse.core.resources.IResource` | `getLocalResource()` get the corresponding local file which generate the message
    `org.eclipse.core.resources.IMarker` | `getMarker()` get the message marker of the corresponding local file
    `java.lang.String` | `getMsgFilename()` get the name of the file which generate the message
    `java.lang.String` | `getMsgFileParentLocation()` get the location(PO, Folder) of the file which generate the message
    `java.lang.String` | `getMsgID()` get the message id which is a part of the error file message number for COBOL, this id begin with "IGYPG" and for PL/I with "IBM"
    `java.lang.String` | `getMsgLine()` get the message line
    `java.lang.String` | `getMsgLocation()` get the name of the file(DSN) which generate the message
    `java.lang.String` | `getMsgRC()` get the message return code (0, 4, 8, 12, 20)
    `java.lang.String` | `getMsgText()` get the message text
    `EErrorFeedbackEntryType` | `getType()` get the type of a error feedback entry.
    `int` | `hashCode()`
    `boolean` | `isSolved()` return true if the message corresponding error is been solved and false otherwise
    `void` | `setEntry()` set the list of entries that will be show on the error table list view
    `void` | `setEntryDate(java.lang.String pEntryDate)` Sets the date of the error feedback entry.
    `void` | `setEntryID(java.lang.String pEntryID)` Sets the ID of the error feedback entry.
    `void` | `setFormatedDate(java.lang.String pFormatedDate)` Sets the formatted date of the error feedback entry.
    `void` | `setHostResource(java.lang.String pHostResource)` Sets the name of the resource containing the error
    `void` | `setLocalResource(org.eclipse.core.resources.IResource pResource)` set the corresponding local file which generate the message
    `void` | `setMarker(org.eclipse.core.resources.IMarker pMarkerId)` set the message marker of the corresponding local file
    `void` | `setMsgFilename(java.lang.String pMsgFilename)` Sets the name of the compiled file which generates the error.
    `void` | `setMsgFileParentLocation(java.lang.String pMsgLocation)` Sets the full location of the parent of the file containing the error.
    `void` | `setMsgID(java.lang.String pMsgID)` Sets the message ID.
    `void` | `setMsgLine(java.lang.String pMsgLine)` Sets the line number in which the error occurred.
    `void` | `setMsgLocation(java.lang.String pMsgDSN)` Sets the full location of the compiled file which generates the error.
    `void` | `setMsgRC(java.lang.String pMsgRC)` Sets the return code of the entry.
    `void` | `setMsgText(java.lang.String pMsgText)` Sets the message text of the entry.
    `void` | `setSolved(boolean pSolved)` Returns whether the error feedback entry should be marked as solved.
    `void` | `setType(EErrorFeedbackEntryType pType)` set the type of a error feedback entry.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorFeedbackEntry

          public ErrorFeedbackEntry(java.lang.String pFileName,
                                    java.lang.String pMsgText,
                                    java.lang.String pMsgNUMBER,
                                    java.lang.String pMsgLine,
                                    IElement pElement,
                                    java.util.Map<java.lang.String,java.lang.String> pCustomFileAttributes,
                                    java.util.Map<java.lang.String,java.lang.String> pCustomMessageAttributes)

      the constructor that receive the error file parameters and the resource (IElement) with which the compiler has been call
      Parameters:
        `pFileName` - the name of the source file
        `pMsgText` - the message text
        `pMsgNUMBER` - the message number
        `pMsgLine` - the line number of the occurred error
        `pElement` - the context element of the action containing the error feedback tool
        `pCustomFileAttributes` - the custom attributes which are defined on file level
        `pCustomMessageAttributes` - the custom attributes which are defined on message level

    - #### ErrorFeedbackEntry

          public ErrorFeedbackEntry()

      Basic constructor.

  - ### Method Detail

    - #### setEntry

          public void setEntry()

      Description copied from interface: `IErrorFeedbackEntry`
      set the list of entries that will be show on the error table list view
      Specified by:
        `setEntry` in interface `IErrorFeedbackEntry`

    - #### getEntry

          public java.util.List<java.lang.Object> getEntry()

      Description copied from interface: `IErrorFeedbackEntry`
      Gets the list of values of this feedback entry.
      Specified by:
        `getEntry` in interface `IErrorFeedbackEntry`
      Returns:
        the list of entries that will be show on the error table list view _entry

    - #### setEntryID

          public void setEntryID(java.lang.String pEntryID)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the ID of the error feedback entry.
      Specified by:
        `setEntryID` in interface `IErrorFeedbackEntry`
      Parameters:
        `pEntryID` - the new ID

    - #### getEntryID

          public java.lang.String getEntryID()

      Description copied from interface: `IErrorFeedbackEntry`
      Gets the ID of the error feedback entry.
      Specified by:
        `getEntryID` in interface `IErrorFeedbackEntry`
      Returns:
        the ID of the error feedback entry

    - #### setMsgID

          public void setMsgID(java.lang.String pMsgID)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the message ID.
      Specified by:
        `setMsgID` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgID` - the new message ID

    - #### getMsgID

          public java.lang.String getMsgID()

      get the message id which is a part of the error file message number for COBOL, this id begin with "IGYPG" and for PL/I with "IBM"
      Specified by:
        `getMsgID` in interface `IErrorFeedbackEntry`
      Returns:
        message ID

    - #### setMsgText

          public void setMsgText(java.lang.String pMsgText)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the message text of the entry.
      Specified by:
        `setMsgText` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgText` - the new message text

    - #### getMsgText

          public java.lang.String getMsgText()

      get the message text
      Specified by:
        `getMsgText` in interface `IErrorFeedbackEntry`
      Returns:
        the message text

    - #### setMsgRC

          public void setMsgRC(java.lang.String pMsgRC)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the return code of the entry.
      Specified by:
        `setMsgRC` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgRC` - the new return code

    - #### getMsgRC

          public java.lang.String getMsgRC()

      get the message return code (0, 4, 8, 12, 20)
      Specified by:
        `getMsgRC` in interface `IErrorFeedbackEntry`
      Returns:
        the return code of the error.

    - #### setMsgLine

          public void setMsgLine(java.lang.String pMsgLine)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the line number in which the error occurred.
      Specified by:
        `setMsgLine` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgLine` - the new line number

    - #### getMsgLine

          public java.lang.String getMsgLine()

      get the message line
      Specified by:
        `getMsgLine` in interface `IErrorFeedbackEntry`
      Returns:
        the line number in which the error occurred.

    - #### setMsgFilename

          public void setMsgFilename(java.lang.String pMsgFilename)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the name of the compiled file which generates the error.
      Specified by:
        `setMsgFilename` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgFilename` - name of the file which generates the error.

    - #### getMsgFilename

          public java.lang.String getMsgFilename()

      get the name of the file which generate the message
      Specified by:
        `getMsgFilename` in interface `IErrorFeedbackEntry`
      Returns:
        the name of the compiled file which generates the error.

    - #### setMsgFileParentLocation

          public void setMsgFileParentLocation(java.lang.String pMsgLocation)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the full location of the parent of the file containing the error.
      Specified by:
        `setMsgFileParentLocation` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgLocation` - the location (MVS_PO or Folder) of the parent of the file containing the error

    - #### getMsgFileParentLocation

          public java.lang.String getMsgFileParentLocation()

      get the location(PO, Folder) of the file which generate the message
      Specified by:
        `getMsgFileParentLocation` in interface `IErrorFeedbackEntry`
      Returns:
        the full location of the parent of the file containing the error

    - #### setEntryDate

          public void setEntryDate(java.lang.String pEntryDate)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the date of the error feedback entry.
      Specified by:
        `setEntryDate` in interface `IErrorFeedbackEntry`
      Parameters:
        `pEntryDate` - the new date

    - #### getEntryDate

          public java.lang.String getEntryDate()

      get the date where the entry are been created
      Specified by:
        `getEntryDate` in interface `IErrorFeedbackEntry`
      Returns:
        the date of the error feedback entry

    - #### setHostResource

          public void setHostResource(java.lang.String pHostResource)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the name of the resource containing the error
      Specified by:
        `setHostResource` in interface `IErrorFeedbackEntry`
      Parameters:
        `pHostResource` - the host resource name

    - #### getHostResource

          public java.lang.String getHostResource()

      get the name of the file(DSN) which generate the message
      Specified by:
        `getHostResource` in interface `IErrorFeedbackEntry`
      Returns:
        the name of the resource containing the error.

    - #### setMsgLocation

          public void setMsgLocation(java.lang.String pMsgDSN)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the full location of the compiled file which generates the error.
      Specified by:
        `setMsgLocation` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMsgDSN` - the message Location

    - #### getMsgLocation

          public java.lang.String getMsgLocation()

      get the name of the file(DSN) which generate the message
      Specified by:
        `getMsgLocation` in interface `IErrorFeedbackEntry`
      Returns:
        the full location of the compiled file which generates the error.

    - #### setFormatedDate

          public void setFormatedDate(java.lang.String pFormatedDate)

      Description copied from interface: `IErrorFeedbackEntry`
      Sets the formatted date of the error feedback entry.
      Specified by:
        `setFormatedDate` in interface `IErrorFeedbackEntry`
      Parameters:
        `pFormatedDate` - the new formatted date

    - #### getFormatedDate

          public java.lang.String getFormatedDate()

      get the formated date (JJ:MM:TT:HH:MM:SS) where the entry has been created
      Specified by:
        `getFormatedDate` in interface `IErrorFeedbackEntry`
      Returns:
        the formatted date of the error feedback entry.

    - #### setMarker

          public void setMarker(org.eclipse.core.resources.IMarker pMarkerId)

      set the message marker of the corresponding local file
      Specified by:
        `setMarker` in interface `IErrorFeedbackEntry`
      Parameters:
        `pMarkerId` - the new marker

    - #### getMarker

          public org.eclipse.core.resources.IMarker getMarker()

      get the message marker of the corresponding local file
      Specified by:
        `getMarker` in interface `IErrorFeedbackEntry`
      Returns:
        the marker of the error feedback entry or `null`

    - #### setLocalResource

          public void setLocalResource(org.eclipse.core.resources.IResource pResource)

      set the corresponding local file which generate the message
      Specified by:
        `setLocalResource` in interface `IErrorFeedbackEntry`
      Parameters:
        `pResource` - the new resource

    - #### getLocalResource

          public org.eclipse.core.resources.IResource getLocalResource()

      get the corresponding local file which generate the message
      Specified by:
        `getLocalResource` in interface `IErrorFeedbackEntry`
      Returns:
        the local copy of the resource containing the error or `null`

    - #### setSolved

          public void setSolved(boolean pSolved)

      Description copied from interface: `IErrorFeedbackEntry`
      Returns whether the error feedback entry should be marked as solved.
      Specified by:
        `setSolved` in interface `IErrorFeedbackEntry`
      Parameters:
        `pSolved` - solved flag

    - #### isSolved

          public boolean isSolved()

      return true if the message corresponding error is been solved and false otherwise
      Specified by:
        `isSolved` in interface `IErrorFeedbackEntry`
      Returns:
        `true` whether the error was marked as solved

    - #### setType

          public void setType(EErrorFeedbackEntryType pType)

      Description copied from interface: `IErrorFeedbackEntry`
      set the type of a error feedback entry.
      Specified by:
        `setType` in interface `IErrorFeedbackEntry`
      Parameters:
        `pType` - the type of the error feedback entry.

    - #### getType

          public EErrorFeedbackEntryType getType()

      Description copied from interface: `IErrorFeedbackEntry`
      get the type of a error feedback entry.
      Specified by:
        `getType` in interface `IErrorFeedbackEntry`
      Returns:
        the type of a error feedback entry.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCustomMessageAttributes

          public java.util.Map<java.lang.String,java.lang.String> getCustomMessageAttributes()

      Description copied from interface: `IErrorFeedbackEntry`
      Gets a map of custom attributes which are defined on message level.

      The element 'CUSTOMATTRIBUTES' can be used in the error feed back file between the 'FILE' element or between the 'MESSAGE' element. This method returns the attributes defined in the 'CUSTOMATTRIBUTES' element between the 'MESSAGE' element. The attributes of the 'CUSTOMATTRIBUTES' element are returned as map, where the key equals the attribute identifier and the value equals the attribute value.

      Specified by:
        `getCustomMessageAttributes` in interface `IErrorFeedbackEntry`
      Returns:
        the attributes defined in the message 'CUSTOMATTRIBUTES' element as map, where the key equals the attribute identifier and the value equals the attribute value.

    - #### getCustomFileAttributes

          public java.util.Map<java.lang.String,java.lang.String> getCustomFileAttributes()

      Description copied from interface: `IErrorFeedbackEntry`
      Gets a map of custom attributes which are defined on message level.

      The element 'CUSTOMATTRIBUTES' can be used in the error feed back file between the 'FILE' element or between the 'MESSAGE' element. This method returns the attributes defined in the 'CUSTOMATTRIBUTES' element between the 'FILE' element. The attributes of the 'CUSTOMATTRIBUTES' element are returned as map, where the key equals the attribute identifier and the value equals the attribute value.

      Specified by:
        `getCustomFileAttributes` in interface `IErrorFeedbackEntry`
      Returns:
        the attributes defined in the file 'CUSTOMATTRIBUTES' element as map, where the key equals the attribute identifier and the value equals the attribute value.

Copyright © 2015 Micro Focus GmbH. All rights reserved.